BasBas



Re : passer de xoops 2.5.10 à xoops 2.5.11
Grégory M
Grégory M

Re : passer de xoops 2.5.10 à xoops 2.5.11

Grégory M 163
13/01/2023 17:55
#11
Grégory M 163
13/01/2023 17:55
Bonjour,

Comme indiqué par Alain, il faut mettre tout le dossier "htdocs", pas juste le dossier "upgrade"! Sans cela rien ne fonctionne...
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
11/01/2023 19:20
#12
Grégory M 163
11/01/2023 19:20
Pour être très honnête avec toi, oublie le thème par défaut!

Ce thème à un design des années 2000, tu ne mets pas le contenu en avant avec ce genre de thème.

En plus un point important, impossible d'avoir un rendu potable sur un téléphone.

J'ai regardé ton site et c'était le prochain point que j'allais aborder, changer de thème.

Je te conseil de copier le répertoire du thème xswatch4 et de lui donner un nouveau nom (par exemple le nom de ton site). Pourquoi? Car si tu fais une mise à jour et que tu garde le thème xswatch cela va écraser tes modifications.

Ce site utilise à la base le thème xswatch4 donc comme tu vois on peut faire un design très différent de l'origine.

Je te conseil de regarder les super tutos d'Alain sur les thèmes: https://www.monxoops.fr/modules/xmtutorial/index.php?tutorial_cid=3

Dernier point, ton site internet n'est pas pour tout public (principalement certaines sections du forum), il faut absolument limiter l'accès à un publique averti ou tu vas avoir des ennuis.
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
11/01/2023 14:16
#13
Grégory M 163
11/01/2023 14:16
Je suis désolé que cela fonctionne pas pour toi. J'ai testé de mon côté et cela fonctionne. Peux-tu décrire ton problème en respectant ce format: J'ai testé dans les conditions suivantes:
  • La version de XOOPS: XOOPS 2.5.11-Beta2
  • Nom et version du module: adslight 2.4 Alpha 3
  • Le nom du thème: xswatch4
  • La version bootstrap du thème (si vous n'utilisez pas un thème bootstrap, indiqez "pas de bootstrap"): bootstrap 4
  • La présence des templates en surcharge dans le thème (oui ou non): non
  • La version de PHP: 7.4.27
  • Informations complémentaires: Ajout d'une annonce depuis la partie user et modification du fichier add.php comme indiqué plus haut
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
10/01/2023 21:07
#14
Grégory M 163
10/01/2023 21:07
Bon j'avais un peu de temps pour chercher, effectivement il y a un bogue dans le module!

J'ai trouvé comment le corriger!

tu vas dans le fichier add.php (racine du module) et modifie la ligne ligne 323:

$form->addElement(Utility::getEditor($helper), true);


Par

$options           = [];
        
$options['name']   = 'desctext';
        
$options['value']  = '';
        
$options['cols']   = '100%';
        
$options['width']  = '100%';
        
$options['height'] = '400px';
        
$options['rows']   = 10;
        
$form->addElement(Utility::getEditor($helper$options), true);


Par contre il faut prendre le module ici et pas ailleurs: https://github.com/mambax7/adslight/archive/refs/heads/master.zip

La modification est proposée ici:
https://github.com/mambax7/adslight/pull/9
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
10/01/2023 20:16
#15
Grégory M 163
10/01/2023 20:16
Le problème c'est que tu n'es pas hyper clair dans tes problèmes. Ce n'est pas facile à suivre pour moi, une fois tu me parle d'une erreur php et une autre fois d'une description qui n'est pas enregistrée.

Donc maintenant, j'aimerai savoir si les problèmes d'erreurs php sont ok ou pas?

Je sais toujours pas quelle version du module tu utilise car je vois e parallèle sur xoops France que tu pose les même question et que tu utilise la version traduite.

Pour t'aider, il faut faire des tests les uns après les autres pour éliminer les problème au fur et à mesure. Donc on reprend tout à 0.

Quelle verssion de XOOPS?
Quelle version du module?
Quelle version de PHP?
Quelles problèmes avec la configuration listée ci-dessus?
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
10/01/2023 14:50
#16
Grégory M 163
10/01/2023 14:50
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
10/01/2023 14:30
#17
Grégory M 163
10/01/2023 14:30
Ce site est sur xoops 2.5.11 donc oui en français!

Pour la traduction c'est ici:

https://www.monxoops.fr/modules/xmdoc/document.php?doc_id=10

Pour la version la plus récente de xoops, c'est ici:

https://github.com/XOOPS/XoopsCore25/archive/refs/heads/master.zip

Attention, cette version n'est pas une version finale de xoops 2.5.11 mais elle est solide, tu peux l'installer sans risque. Normalement dans quelques mois la version finale sera sortie.
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
10/01/2023 13:58
#18
Grégory M 163
10/01/2023 13:58
Je pense que le module n'est pa compatible avec xoops 2.5.10. Je te conseil de mettre la version 2.5.11.
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
09/01/2023 19:45
#19
Grégory M 163
09/01/2023 19:45
On va travailler par étape.

Première chose, désinstaller le module.
Enlever les fichiers du serveur
Prendre cette version: https://github.com/XoopsModules25x/ads ... ive/refs/tags/2.3_RC5.zip
Réinstaller le module
Voir si cela fonctionne.

Pour un autre module, je ne sais pas. C'est quoi le besoin?
--------------------
www.monxoops.fr


Re : adslight
Grégory M
Grégory M

Re : adslight

Grégory M 163
09/01/2023 18:12
#20
Grégory M 163
09/01/2023 18:12
Un autre point, Xoops 2.5.10 n'est pas compatible avec php 7.4! Il faut mettre php 7.3 ou sinon passer sur la version 2.5.11 beta2
--------------------
www.monxoops.fr



« 1 (2) 3 4 5 ... 16 »